Package org.eclipse.net4j.util.collection

# Class Entity

java.lang.Object
org.eclipse.net4j.util.collection.Entity

All Implemented Interfaces:
  `Comparable<Entity>`

public final class Entity extends Object implements Comparable<Entity>

Since:
  3.26
Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`Entity.Builder`
`static final class`
`Entity.ComposedStore`
`static final class`
`Entity.ConcurrentStore`
`static class`
`Entity.SingleNamespace`
`static class`
`Entity.SingleNamespaceComputer`
`static final class`
`Entity.SingleNamespaceStore`
`static interface`
`Entity.Store`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final char`
`NAME_SEPARATOR`

## Method Summary

Modifier and Type
Method
Description
`static Entity.Builder`
`builder()`
`static Entity.Builder`
`builder(String namespace)`
`static Entity.Builder`
`builder(String namespace, String name)`
`static Entity.Builder`
`builder(Entity source)`
`static Entity.Builder`
`builder(Entity.Builder source)`
`static Entity.Builder`
`builder(Tree tree)`
`int`
`compareTo(Entity o)`
`boolean`
`equals(Object obj)`
`Entity`
`filter(String... propertyNames)`
`Entity`
`filter(Collection<String> propertyNames)`
`Entity`
`filter(Predicate<String> propertyNameFilter)`
`static String`
`formatID(String namespace, String name)`
`int`
`hashCode()`
`String`
`id()`
`String`
`name()`
`String`
`namespace()`
`static Pair<String,String>`
`parseID(String id)`
`Map<String,String>`
`properties()`
`String`
`property(String name)`
`boolean`
`property(String name, boolean defaultValue)`
`byte`
`property(String name, byte defaultValue)`
`double`
`property(String name, double defaultValue)`
`float`
`property(String name, float defaultValue)`
`int`
`property(String name, int defaultValue)`
`long`
`property(String name, long defaultValue)`
`String`
`property(String name, String defaultValue)`
`static Entity`
`read(ExtendedDataInput in)`
`static Entity`
`read(ExtendedDataInput in, StringCompressor compressor)`
`static String`
`requireValidName(String name)`
`static String`
`requireValidNamespace(String namespace)`
`String`
`toString()`
`int`
`version()`
`void`
`write(ExtendedDataOutput out)`
`void`
`write(ExtendedDataOutput out, StringCompressor compressor)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### NAME_SEPARATOR

public static final char NAME_SEPARATOR

See Also:
  - Constant Field Values

## Method Details

### namespace

public String namespace()

### name

public String name()

### id

public String id()

### version

public int version()

### properties

public Map<String,String> properties()

### property

public String property(String name)

### property

public String property(String name, String defaultValue)

Since:
  3.27

### property

public boolean property(String name, boolean defaultValue)

Since:
  3.27

### property

public byte property(String name, byte defaultValue)

Since:
  3.27

### property

public int property(String name, int defaultValue)

Since:
  3.27

### property

public long property(String name, long defaultValue)

Since:
  3.27

### property

public float property(String name, float defaultValue)

Since:
  3.27

### property

public double property(String name, double defaultValue)

Since:
  3.27

### filter

public Entity filter(String... propertyNames)

### filter

public Entity filter(Collection<String> propertyNames)

### filter

public Entity filter(Predicate<String> propertyNameFilter)

### compareTo

public int compareTo(Entity o)

Specified by:
  `compareTo` in interface `Comparable<Entity>`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### write

public void write(ExtendedDataOutput out) throws IOException

Throws:
  `IOException`

### write

public void write(ExtendedDataOutput out, StringCompressor compressor) throws IOException

Throws:
  `IOException`

### read

public static Entity read(ExtendedDataInput in) throws IOException

Throws:
  `IOException`

### read

public static Entity read(ExtendedDataInput in, StringCompressor compressor) throws IOException

Throws:
  `IOException`

### builder

public static Entity.Builder builder()

### builder

public static Entity.Builder builder(String namespace)

### builder

public static Entity.Builder builder(String namespace, String name)

### builder

public static Entity.Builder builder(Tree tree)

Since:
  3.27

### builder

public static Entity.Builder builder(Entity.Builder source)

### builder

public static Entity.Builder builder(Entity source)

### formatID

public static String formatID(String namespace, String name)

### parseID

public static Pair<String,String> parseID(String id)

### requireValidNamespace

public static String requireValidNamespace(String namespace)

### requireValidName

public static String requireValidName(String name)